java.lang.IllegalArgumentException: Error compiling shader: ERROR: 0:1: '' : #version required and missing. ERROR: 0:1: 'attribute' : syntax error: syntax error ERROR: 0:1: '' : #version required and missing. ERROR: 0:7: 'varying' : syntax error: syntax error

  1. 0

    SpriteBatch #version error on Java

    Stack Overflow | 5 months ago | Y. Duzenlioglu
    java.lang.IllegalArgumentException: Error compiling shader: ERROR: 0:1: '' : #version required and missing. ERROR: 0:1: 'attribute' : syntax error: syntax error ERROR: 0:1: '' : #version required and missing. ERROR: 0:7: 'varying' : syntax error: syntax error
  2. 0

    Create SpriteBatch throw IllegalArgumentException

    Stack Overflow | 1 year ago | Nathan
    java.lang.IllegalArgumentException: Error compiling shader: Vertex shader(s) failed to link, fragment shader(s) failed to link. ERROR: error(#275) Symbol 'v_texCoords' is defined with 2 different types between two stages ERROR: error(#275) Symbol 'v_texCoords' is defined with 2 different types between two stages
  3. 0

    libgdx - How to prevent crashing when create shader on some devices

    Stack Overflow | 11 months ago | Nathan
    java.lang.IllegalArgumentException: Error compiling shader: Vertex shader failed to compile with the following errors: Fragment shader failed to compile with the following errors: at com.badlogic.gdx.graphics.g2d.SpriteBatch.createDefaultShader(SpriteBatch.java:157)
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    GitHub comment 17#203978868

    GitHub | 8 months ago | de-ko
    java.lang.IllegalArgumentException: Error compiling shader: Vertex shader failed to compile with the following errors: ERROR: error(#272) Implicit version number 110 not supported by GL3 forward compatible context ERROR: error(#273) 1 compilation errors. No code generated ...
  6. 0

    GitHub comment 17#203734076

    GitHub | 8 months ago | de-ko
    java.lang.IllegalArgumentException: Error compiling shader: Vertex shader failed to compile with the following errors: ERROR: error(#272) Implicit version number 110 not supported by GL3 forward compatible context ERROR: error(#273) 1 compilation errors. No code generated Fragment shader failed to compile with the following errors: ERROR: error(#272) Implicit version number 110 not supported by GL3 forward compatible context ERROR: error(#273) 1 compilation errors. No code generated

    Not finding the right solution?
    Take a tour to get the most out of Samebug.

    Tired of useless tips?

    Automated exception search integrated into your IDE

    Root Cause Analysis

    1. java.lang.IllegalArgumentException

      Error compiling shader: ERROR: 0:1: '' : #version required and missing. ERROR: 0:1: 'attribute' : syntax error: syntax error ERROR: 0:1: '' : #version required and missing. ERROR: 0:7: 'varying' : syntax error: syntax error

      at com.badlogic.gdx.graphics.g2d.SpriteBatch.createDefaultShader()
    2. libGDX Core
      SpriteBatch.<init>
      1. com.badlogic.gdx.graphics.g2d.SpriteBatch.createDefaultShader(SpriteBatch.java:160)
      2. com.badlogic.gdx.graphics.g2d.SpriteBatch.<init>(SpriteBatch.java:123)
      3. com.badlogic.gdx.graphics.g2d.SpriteBatch.<init>(SpriteBatch.java:78)
      3 frames
    3. com.yigitduzenlioglu.project
      Project.create
      1. com.yigitduzenlioglu.project.GameScreen.<init>(GameScreen.java:22)
      2. com.yigitduzenlioglu.project.Project.create(Project.java:12)
      2 frames
    4. libGDX LWJGL Backend
      LwjglApplication$1.run
      1. com.badlogic.gdx.backends.lwjgl.LwjglApplication.mainLoop(LwjglApplication.java:147)
      2. com.badlogic.gdx.backends.lwjgl.LwjglApplication$1.run(LwjglApplication.java:124)
      2 frames